GrailsVersionUtils (Grails 3.3.8)
Date: 2018-08-10

Package: grails.plugins

## [Groovy] Class GrailsVersionUtils

- grails.plugins.GrailsVersionUtils

- - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `static java.lang.String` | `getLowerVersion(java.lang.String pluginVersion)` Returns the lower version of a Grails version number expression in a plugin
    `` | `static java.lang.String` | `getPluginName(java.lang.Class clazz)` Get the name of the a plugin for a particular class.
    `` | `static java.lang.String` | `getPluginVersion(java.lang.Class clazz)` Get the version of the a plugin for a particular class.
    `` | `static java.lang.String` | `getUpperVersion(java.lang.String pluginVersion)` Returns the upper version of a Grails version number expression in a plugin
    `` | `static boolean` | `isValidVersion(java.lang.String pluginVersion, java.lang.String requiredVersion)` Check if the required version is a valid for the given plugin version.
    `` | `static boolean` | `isVersionGreaterThan(java.lang.String leftVersion, java.lang.String rightVersion)` Returns true if rightVersion is greater than leftVersion
    `` | `static boolean` | `supportsAtLeastVersion(java.lang.String pluginVersion, java.lang.String requiredVersion)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class java.lang.Object` | `java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Method Detail

    - #### static java.lang.String getLowerVersion(java.lang.String pluginVersion)

      Returns the lower version of a Grails version number expression in a plugin

    - #### @groovy.transform.CompileStatic static java.lang.String getPluginName(java.lang.Class clazz)

      Get the name of the a plugin for a particular class.

    - #### @groovy.transform.CompileStatic static java.lang.String getPluginVersion(java.lang.Class clazz)

      Get the version of the a plugin for a particular class.

    - #### static java.lang.String getUpperVersion(java.lang.String pluginVersion)

      Returns the upper version of a Grails version number expression in a plugin

    - #### static boolean isValidVersion(java.lang.String pluginVersion, java.lang.String requiredVersion)

      Check if the required version is a valid for the given plugin version.

      Parameters:
        `pluginVersion` - The plugin version
        `requiredVersion` - The required version
      Returns:
        true if it is valid

    - #### static boolean isVersionGreaterThan(java.lang.String leftVersion, java.lang.String rightVersion)

      Returns true if rightVersion is greater than leftVersion

      Parameters:
        leftVersion
        rightVersion
      Returns:

    - #### static boolean supportsAtLeastVersion(java.lang.String pluginVersion, java.lang.String requiredVersion)